---
schema_version: "1"
id: 2c74f11f5e04c73c65e9fa1e41000f9548decb0a28ca7f555723533572db1f47
title: GET /contacts/v1/contacts/key:{contactKey}/Preferences
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getContactPreferencesByKey.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/getContactPreferencesByKey.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 977907de2908c8789026bbd4eb2cb1a1049fad59559afd92d1f60d6e92680bc7
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/contacts/key:{contactKey}/Preferences

## Overview

Retrieves consent management information from contact records by contact key. GET requests might display values that are reserved for future use and don't perform any actions at this time. Use only the parameters documented here. For best performance, use batches of contact ID values whenever possible.

### URL Parameters

<!--complex table-->

| Name           | Type   |              | Description                      |
| -------------- | ------ | ------------ | -------------------------------- |
| **contactKey** | string | **Required** | Primary address for the contact. |

### Responses

| Status  | Name                      | Type    | Description                                                                                                    |
| ------- | ------------------------- | ------- | -------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                    | &nbsp;  | **Retrieved contact preferences by contact key.**                                                              |
| &nbsp;  | value                     | object  | Contains the contact ID and other properties to add.                                                           |
| &nbsp;  | value.contactID           | long    | Unique ID for the contact.                                                                                     |
| &nbsp;  | value.hasOptedOutTracking | boolean | Indicates whether a contact opted out of tracking information.                                                 |
| &nbsp;  | rowsAffected              | integer | Number of rows returned.                                                                                       |
| &nbsp;  | requestServiceMessageID   | guid    | Service message ID for the request.                                                                            |
| &nbsp;  | responseDateTime          | integer | Date and time of the retry response in UTC.                                                                    |
| &nbsp;  | resultMessages            | array   | Array of messages about the request. Includes details, such as resulttype and resultcode, about a bad request. |
| &nbsp;  | serviceMessageID          | guid    | Service message ID for the response.                                                                           |

## Usage

These permissions are required.

- Assets, Upload
- Assets, Publish

### Required Scope

- Documents and Images, Read and Write
- Saved Content, Read and Write

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
get /contacts/v1/contacts/key:1ab2/Preferences
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
HTTP/1.1 200 OK
{
   "value":{
      "contactID":123456,
      "hasOptedOutTracking":false
   },
   "rowsAffected":1,
   "requestServiceMessageID":"105d74f2-9eab-450f-b799-6a845ebe4a4b",
   "responseDateTime":"2019-01-24T10:44:12.2334945-06:00",
   "resultMessages":[

   ],
   "serviceMessageID":"0bfd9831-58cd-4db1-99bc-2f499e43a026"
}
```
